Subject: Broadcom 43340 module on iMX6DL

From: [email-masked] (Arend van Spriel)
Date: Sat, 25 Apr 2015 15:36:33 +0200

On 04/24/15 21:03, Arend van Spriel wrote:
> On 04/24/15 20:24, John Tobias wrote:
>> Hi Arend,
>>
>> Apologize for the confusion. I am asking the repo for the device
>> driver for 43340. Looking at the link you sent, it's more userspace
>> support and didn't see the device driver there...
>
> crap. you are right. it is userspace and firmware. You need a kernel
> repo. There are some on the site I referred to, but you may need to
> contact Freescale whether they provide it publicly like on github or so.

So the firmware came from linux-firmware. Where did you get bcmdhd.cal 
file and could you email it.

Regards,
Arend

> Regards,
> Arend
>
>> Regards,
>>
>> John
>>
>>
>> On Fri, Apr 24, 2015 at 11:14 AM, Arend van Spriel<[email-masked]>
>> wrote:
>>> On 04/24/15 19:49, John Tobias wrote:
>>>>
>>>> Hi Arend,
>>>>
>>>> I am not pretty sure if the brcm43340 driver for android is the latest
>>>> one. May I know repo?.
>>>
>>>
>>> Not sure what you are asking. I gave the url. Did you try using the
>>> brcmfmac4334-sdio.bin firmware file. I would like to know if that one
>>> works
>>> for your device.
>>>
>>> Regards,
>>> Arend
>>>
>>>
>>>> Regards,
>>>>
>>>> John
>>>>
>>>> On Fri, Apr 24, 2015 at 1:20 AM, Arend van Spriel<[email-masked]>
>>>> wrote:
>>>>>
>>>>> On 04/24/15 03:04, John Tobias wrote:
>>>>>>
>>>>>>
>>>>>> Btw, where I could get a copy of the latest driver?.
>>>>>
>>>>>
>>>>>
>>>>> The open-source bcmdhd is in AOSP [1]. I would stick to the android
>>>>> release
>>>>> branch you are running on your device.
>>>>>
>>>>> Regards,
>>>>> Arend
>>>>>
>>>>> [1] https://android.googlesource.com/platform/hardware/broadcom/wlan/
>>>>>
>>>>>
>>>>>> Regards,
>>>>>>
>>>>>> John
>>>>>>
>>>>>> On Thu, Apr 23, 2015 at 5:59 PM, John
>>>>>> Tobias<[email-masked]>
>>>>>> wrote:
>>>>>>>
>>>>>>>
>>>>>>> Hi John,
>>>>>>>
>>>>>>> Is it possible to have a copy of the firmware for 43340?.
>>>>>>>
>>>>>>> Regards,
>>>>>>>
>>>>>>> John
>>>>>>>
>>>>>>> On Thu, Apr 23, 2015 at 5:57 PM, John Stultz<[email-masked]>
>>>>>>> wrote:
>>>>>>>>
>>>>>>>>
>>>>>>>> On Thu, Apr 23, 2015 at 12:00 PM, Arend van
>>>>>>>> Spriel<[email-masked]>
>>>>>>>> wrote:
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> By the name of the file I suspected you did. Personally, I
>>>>>>>>> verified
>>>>>>>>> the
>>>>>>>>> firmware works on 43341. John Stultz tested both 43340 and
>>>>>>>>> 43341 with
>>>>>>>>> this
>>>>>>>>> firmware.
>>>>>>>>
>>>>>>>>
>>>>>>>>
>>>>>>>> Minor correction here, I only tested on 43341 hardware. The
>>>>>>>> confusion
>>>>>>>> might be that the firmware I originally had access to claimed it
>>>>>>>> was
>>>>>>>> 43340.
>>>>>>>>
>>>>>>>> thanks
>>>>>>>> -john
>>>>>
>>>>>
>>>>>
>>>
>